---
name: 🐛 Bug Report
about: Submit a bug report to help us improve
labels: 'triage: bug, needs triage'
---

## 🐛 Bug Report

(A clear and concise description of what the bug is)

### Have you read the [Contributing Guidelines on issues](https://wix.github.io/react-native-navigation/docs/meta-contributing/)?

(Write your answer here.)

## To Reproduce

(Write your steps here:)

1. Step 1...
1. Step 2...
1. Step 3...

## Expected behavior

<!--
  How did you expect your project to behave?
  It’s fine if you’re not sure your understanding is correct.
  Write down what you thought would happen.
-->

(Write what you thought would happen.)

## Actual Behavior

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
  Describe this section in detail, and attach screenshots if possible.
  Don't only say "it doesn't work"!
-->

(Write what happened. Add screenshots, if applicable.)

## Your Environment

<!-- Include as many relevant details about the environment you experienced the bug in -->

- React Native Navigation version: FILL THIS OUT
- React Native version: FILL THIS OUT
- Platform(s) (iOS, Android, or both?): FILL THIS OUT
- Device info (Simulator/Device? OS version? Debug/Release?): FILL THIS OUT

## Reproducible Demo

(Paste the link to an example repo and exact instructions to reproduce the issue.)

<!--
  What happens if you skip this step?

  Someone will read your bug report, and maybe will be able to help you,
  but it’s unlikely that it will get much attention from the team. Eventually,
  the issue will likely get closed in favor of issues that have reproducible demos.

  Please remember that:

    * Issues without reproducible demos have a very low priority.
    * The person fixing the bug would have to do that anyway. Please be respectful of their time.
    * You might figure out the issues yourself as you work on extracting it.

  Thanks for helping us help you!
-->

### Are you willing to resolve this issue by submitting a Pull Request?

<!-- Put "✅" (:white_check_mark:) to one of these options, left "✖️" (:heavy_multiplication_x:) others: -->

 - ✅  &nbsp; Yes, I have the time, and I know how to start.
 - ✖️  &nbsp; Yes, I have the time, but I don't know how to start. I would need guidance.
 - ✖️  &nbsp; No, I don’t have the time and I’m okay to wait for the community / maintainers to resolve this issue.

<!--
  Remember that first-time contributors are welcome! 🙌 Feel free to reach us out on https://discord.gg/DhkZjq2
  👋 Have a great day and thank you for the bug report!
-->
